Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 26437 - Java metrics NBM download does not work?
Java metrics NBM download does not work?
Status: VERIFIED FIXED
Product: www
Classification: Unclassified
Component: Builds & Repositories
3.x
All All
: P3 (vote)
: 3.x
Assigned To: rnovak
nbbuild-issues@ide
:
Depends on:
Blocks: 33098
  Show dependency treegraph
 
Reported: 2002-08-10 04:43 UTC by Jesse Glick
Modified: 2003-04-21 20:28 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2002-08-10 04:43:35 UTC
I tried to get the Metrics module (0.6 version)
from the Alpha update server, but the download
fails. Possibly a bad URL. dev_alpha_daily.ent
curiously points to

http://www.netbeans.org/download/nbms/40/metrics.nbm

which seems to give a 404.

http://www.netbeans.org/download/nbms/alpha/dev/metrics.nbm

is I think the correct URL.
Comment 1 _ tball 2003-04-21 18:23:15 UTC
I updated the distribution URL in build.xml as suggested.
Comment 2 Jesse Glick 2003-04-21 20:28:06 UTC
I think this is indeed FIXED, though Tom's patch probably had nothing
to do with it.

Explanation: look at some other module, e.g. jarpackager/build.xml:

<property name="dist.base" value="www.netbeans.org/download/nbms/40"/>

Which hasn't changed in ages. (Note that this nonsense distribution
base has been the same since NB 3.2 or 3.3 or something - we keep
changing our mind about what NB 4.0 is! A lousy name to use for a
download URL.) Nonetheless, in dev_alpha_daily.ent, there is the
correct URL:

distribution="http://www.netbeans.org/download/nbms/alpha/dev/jarpackager.nbm"

The build process for daily NBMs presumably overrides ${dist.base} so
the value in the build script is irrelevant.

In fact dev_alpha_daily.ent (and r35_alpha_daily.ent) both point to

http://www.netbeans.org/download/nbms/alpha/dev/metrics.nbm

already, and this does in fact seem to be the 0.6.1 version, as
advertised. This has been true since Jan 09 2003, but no one bothered
to update this issue to say so.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo